\ Test the PowerPC assembler.
\
\ Copyright (C) 2006, 2007  Joshua I. Grams
\ May be used, modified, and redistributed without limitation.

require tester.fs
require assembler.fs

expose-module assembler

hex

{ r17 r19 r21 addo., => 7E33AE15 , }
{ r0 r0 r0 add.,     => 7C000215 , }
{ r0 r0 r0 addo,     => 7C000614 , }
{ r0 r0 r31 add,     => 7C00FA14 , }
{ r0 r31 r0 add,     => 7C1F0214 , }
{ r31 r0 r0 add,     => 7FE00214 , }

{ r17 r19 r21 addco., => 7E33AC15 , }
{ r0 r0 r0 addc.,     => 7C000015 , }
{ r0 r0 r0 addco,     => 7C000414 , }
{ r0 r0 r31 addc,     => 7C00F814 , }
{ r0 r31 r0 addc,     => 7C1F0014 , }
{ r31 r0 r0 addc,     => 7FE00014 , }

{ r17 r19 r21 addeo., => 7E33AD15 , }
{ r0 r0 r0 adde.,     => 7C000115 , }
{ r0 r0 r0 addeo,     => 7C000514 , }
{ r0 r0 r31 adde,     => 7C00F914 , }
{ r0 r31 r0 adde,     => 7C1F0114 , }
{ r31 r0 r0 adde,     => 7FE00114 , }

{ r17 r19 -55AB addi,  => 3A33AA55 , }
{ r0 0 -1 addi,        => 3800FFFF , }
{ r0 r31 0 addi,       => 381F0000 , }
{ r31 0 0 addi,        => 3BE00000 , }

{ r17 r19 -55AB addic,  => 3233AA55 , }
{ r0 r0 -1 addic,       => 3000FFFF , }
{ r0 r31 0 addic,       => 301F0000 , }
{ r31 r0 0 addic,       => 33E00000 , }

{ r17 r19 -55AB addic.,  => 3633AA55 , }
{ r0 r0 -1 addic.,       => 3400FFFF , }
{ r0 r31 0 addic.,       => 341F0000 , }
{ r31 r0 0 addic.,       => 37E00000 , }

{ r17 r19 -55AB addis,  => 3E33AA55 , }
{ r0 0 -1 addis,        => 3C00FFFF , }
{ r0 r31 0 addis,       => 3C1F0000 , }
{ r31 0 0 addis,        => 3FE00000 , }

{ r17 r19 addmeo., => 7E3305D5 , }
{ r0 r0 addme.,    => 7C0001D5 , }
{ r0 r0 addmeo,    => 7C0005D4 , }
{ r0 r31 addme,    => 7C1F01D4 , }
{ r31 r0 addme,    => 7FE001D4 , }

{ r17 r19 addzeo., => 7E330595 , }
{ r0 r0 addze.,    => 7C000195 , }
{ r0 r0 addzeo,    => 7C000594 , }
{ r0 r31 addze,    => 7C1F0194 , }
{ r31 r0 addze,    => 7FE00194 , }

{ r17 r19 r21 and., => 7E71A839 , }
{ r0 r0 r0 and.,    => 7C000039 , }
{ r0 r0 r31 and,    => 7C00F838 , }
{ r0 r31 r0 and,    => 7FE00038 , }
{ r31 r0 r0 and,    => 7C1F0038 , }

{ r17 r19 r21 andc., => 7E71A879 , }
{ r0 r0 r0 andc.,    => 7C000079 , }
{ r0 r0 r31 andc,    => 7C00F878 , }
{ r0 r31 r0 andc,    => 7FE00078 , }
{ r31 r0 r0 andc,    => 7C1F0078 , }

{ r17 r19 AA55 andi.,  => 7271AA55 , }
{ r0 r0 FFFF andi.,    => 7000FFFF , }
{ r0 r31 0 andi.,      => 73E00000 , }
{ r31 r0 0 andi.,      => 701F0000 , }

{ r17 r19 AA55 andis.,  => 7671AA55 , }
{ r0 r0 FFFF andis.,    => 7400FFFF , }
{ r0 r31 0 andis.,      => 77E00000 , }
{ r31 r0 0 andis.,      => 741F0000 , }

{ 1237654 bla,  => 49237657 , }
{ here bl,      => 48000001 , }
{ 0 ba,         => 48000002 , }
{ here 4 - b,   => 4BFFFFFC , }

{ 11 13 7EDC bcla,   => 42337EDF , }
{ 0 0 here bcl,      => 40000001 , }
{ 0 0 0 bca,         => 40000002 , }
{ 0 1F here bc,      => 401F0000 , }
{ 14 0 here bc,      => 42800000 , }
{ B 0 here bc,       => 41600000 , }
{ 0 0  here 4 -  bc, => 4000FFFC , }
{ C LT here bc,      => 41800000 , }
{ C GT here bc,      => 41810000 , }
{ 4 CR3 EQ here bc,  => 408e0000 , }

{ 14 13 bcctrl, => 4E930421 , }
{ 4 0 bcctrl,   => 4C800421 , }
{ 4 1F bcctr,   => 4C9F0420 , }
{ 14 0 bcctr,   => 4E800420 , }
{ D 0 bcctr,    => 4DA00420 , }

{ 11 13 bclrl, => 4E330021 , }
{ 0 0 bclrl,   => 4C000021 , }
{ 0 1F bclr,   => 4C1F0020 , }
{ 14 0 bclr,   => 4E800020 , }
{ B 0 bclr,    => 4D600020 , }

{ CR5 1 r17 r19 cmp, => 7EB19800 , }
{ CR0 0 r0 r31 cmp,  => 7C00F800 , }
{ 0 r0 r31 cmp,      => 7C00F800 , }
{ CR0 0 r31 r0 cmp,  => 7C1F0000 , }
{ CR0 1 r0 r0 cmp,   => 7C200000 , }
{ CR7 0 r0 r0 cmp,   => 7F800000 , }

{ CR5 1 r17 -55AB cmpi,  => 2EB1AA55 , }
{ CR0 0 r0 -1 cmpi,      => 2C00FFFF , }
{ 0 r0 -1 cmpi,          => 2C00FFFF , }
{ CR0 0 r31 0 cmpi,      => 2C1F0000 , }
{ CR0 1 r0 0 cmpi,       => 2C200000 , }
{ CR7 0 r0 0 cmpi,       => 2F800000 , }

{ CR5 1 r17 r19 cmpl, => 7EB19840 , }
{ CR0 0 r0 r31 cmpl,  => 7C00F840 , }
{ 0 r0 r31 cmpl,      => 7C00F840 , }
{ CR0 0 r31 r0 cmpl,  => 7C1F0040 , }
{ CR0 1 r0 r0 cmpl,   => 7C200040 , }
{ CR7 0 r0 r0 cmpl,   => 7F800040 , }

{ CR5 1 r17 AA55 cmpli,  => 2AB1AA55 , }
{ CR0 0 r0 FFFF cmpli,   => 2800FFFF , }
{ 0 r0 FFFF cmpli,       => 2800FFFF , }
{ CR0 0 r31 0 cmpli,     => 281F0000 , }
{ CR0 1 r0 0 cmpli,      => 28200000 , }
{ CR7 0 r0 0 cmpli,      => 2B800000 , }

{ r17 r19 cntlzw., => 7E710035 , }
{ r0 r0 cntlzw.,   => 7C000035 , }
{ r0 r31 cntlzw,   => 7FE00034 , }
{ r31 r0 cntlzw,   => 7C1F0034 , }

{ 11 13 15 crand, => 4E33AA02 , }
{ 0 0 1F crand,   => 4C00FA02 , }
{ 0 1F 0 crand,   => 4C1F0202 , }
{ 1F 0 0 crand,   => 4FE00202 , }

{ 11 13 15 crandc, => 4E33A902 , }
{ 0 0 1F crandc,   => 4C00F902 , }
{ 0 1F 0 crandc,   => 4C1F0102 , }
{ 1F 0 0 crandc,   => 4FE00102 , }

{ 11 13 15 creqv, => 4E33AA42 , }
{ 0 0 1F creqv,   => 4C00FA42 , }
{ 0 1F 0 creqv,   => 4C1F0242 , }
{ 1F 0 0 creqv,   => 4FE00242 , }

{ 11 13 15 crnand, => 4E33A9C2 , }
{ 0 0 1F crnand,   => 4C00F9C2 , }
{ 0 1F 0 crnand,   => 4C1F01C2 , }
{ 1F 0 0 crnand,   => 4FE001C2 , }

{ 11 13 15 crnor, => 4E33A842 , }
{ 0 0 1F crnor,   => 4C00F842 , }
{ 0 1F 0 crnor,   => 4C1F0042 , }
{ 1F 0 0 crnor,   => 4FE00042 , }

{ 11 13 15 cror, => 4E33AB82 , }
{ 0 0 1F cror,   => 4C00FB82 , }
{ 0 1F 0 cror,   => 4C1F0382 , }
{ 1F 0 0 cror,   => 4FE00382 , }

{ 11 13 15 crorc, => 4E33AB42 , }
{ 0 0 1F crorc,   => 4C00FB42 , }
{ 0 1F 0 crorc,   => 4C1F0342 , }
{ 1F 0 0 crorc,   => 4FE00342 , }

{ 11 13 15 crxor, => 4E33A982 , }
{ 0 0 1F crxor,   => 4C00F982 , }
{ 0 1F 0 crxor,   => 4C1F0182 , }
{ 1F 0 0 crxor,   => 4FE00182 , }

{ r17 r19 dcbf, => 7C1198AC , }
{ 0 r31 dcbf,   => 7C00F8AC , }
{ r31 r0 dcbf,  => 7C1F00AC , }

{ r17 r19 dcbi, => 7C119BAC , }
{ 0 r31 dcbi,   => 7C00FBAC , }
{ r31 r0 dcbi,  => 7C1F03AC , }

{ r17 r19 dcbst, => 7C11986C , }
{ 0 r31 dcbst,   => 7C00F86C , }
{ r31 r0 dcbst,  => 7C1F006C , }

{ r17 r19 dcbz, => 7C119FEC , }
{ 0 r31 dcbz,   => 7C00FFEC , }
{ r31 r0 dcbz,  => 7C1F07EC , }

{ r17 r19 r21 divwo., => 7E33AFD7 , }
{ r0 r0 r0 divw.,     => 7C0003D7 , }
{ r0 r0 r0 divwo,     => 7C0007D6 , }
{ r0 r0 r31 divw,     => 7C00FBD6 , }
{ r0 r31 r0 divw,     => 7C1F03D6 , }
{ r31 r0 r0 divw,     => 7FE003D6 , }

{ r17 r19 r21 divwuo., => 7E33AF97 , }
{ r0 r0 r0 divwu.,     => 7C000397 , }
{ r0 r0 r0 divwuo,     => 7C000796 , }
{ r0 r0 r31 divwu,     => 7C00FB96 , }
{ r0 r31 r0 divwu,     => 7C1F0396 , }
{ r31 r0 r0 divwu,     => 7FE00396 , }

{ r17 r19 r21 eciwx, => 7E33AA6C , }
{ r0 0 r31 eciwx,    => 7C00FA6C , }
{ r0 r31 r0 eciwx,   => 7C1F026C , }
{ r31 0 r0 eciwx,    => 7FE0026C , }

{ r17 r19 r21 ecowx, => 7E33AB6C , }
{ r0 0 r31 ecowx,    => 7C00FB6C , }
{ r0 r31 r0 ecowx,   => 7C1F036C , }
{ r31 0 r0 ecowx,    => 7FE0036C , }

{ eieio, => 7C0006AC , }

{ r17 r19 r21 eqv., => 7E71AA39 , }
{ r0 r0 r0 eqv.,    => 7C000239 , }
{ r0 r0 r31 eqv,    => 7C00FA38 , }
{ r0 r31 r0 eqv,    => 7FE00238 , }
{ r31 r0 r0 eqv,    => 7C1F0238 , }

{ r17 r19 extsb., => 7E710775 , }
{ r0 r0 extsb.,   => 7C000775 , }
{ r0 r31 extsb,   => 7FE00774 , }
{ r31 r0 extsb,   => 7C1F0774 , }

{ r17 r19 extsh., => 7E710735 , }
{ r0 r0 extsh.,   => 7C000735 , }
{ r0 r31 extsh,   => 7FE00734 , }
{ r31 r0 extsh,   => 7C1F0734 , }

{ fr17 fr19 fabs., => FE209A11 , }
{ fr0 fr0 fabs.,   => FC000211 , }
{ fr0 fr31 fabs,   => FC00FA10 , }
{ fr31 fr0 fabs,   => FFE00210 , }

{ fr17 fr19 fr21 fadd., => FE33A82B , }
{ fr0 fr0 fr0 fadd.,    => FC00002B , }
{ fr0 fr0 fr31 fadd,    => FC00F82A , }
{ fr0 fr31 fr0 fadd,    => FC1F002A , }
{ fr31 fr0 fr0 fadd,    => FFE0002A , }

{ fr17 fr19 fr21 fadds., => EE33A82B , }
{ fr0 fr0 fr0 fadds.,    => EC00002B , }
{ fr0 fr0 fr31 fadds,    => EC00F82A , }
{ fr0 fr31 fr0 fadds,    => EC1F002A , }
{ fr31 fr0 fr0 fadds,    => EFE0002A , }

{ CR5 fr17 fr19 fcmpo, => FE919840 , }
{ CR0 fr0 fr31 fcmpo,  => FC00F840 , }
{ CR0 fr31 fr0 fcmpo,  => FC1F0040 , }
{ CR7 fr0 fr0 fcmpo,   => FF800040 , }

{ CR5 fr17 fr19 fcmpu, => FE919800 , }
{ CR0 fr0 fr31 fcmpu,  => FC00F800 , }
{ CR0 fr31 fr0 fcmpu,  => FC1F0000 , }
{ CR7 fr0 fr0 fcmpu,   => FF800000 , }

{ fr17 fr19 fctiw., => FE20981D , }
{ fr0 fr0 fctiw.,   => FC00001D , }
{ fr0 fr31 fctiw,   => FC00F81C , }
{ fr31 fr0 fctiw,   => FFE0001C , }

{ fr17 fr19 fctiwz., => FE20981F , }
{ fr0 fr0 fctiwz.,   => FC00001F , }
{ fr0 fr31 fctiwz,   => FC00F81E , }
{ fr31 fr0 fctiwz,   => FFE0001E , }

{ fr17 fr19 fr21 fdiv., => FE33A825 , }
{ fr0 fr0 fr0 fdiv.,    => FC000025 , }
{ fr0 fr0 fr31 fdiv,    => FC00F824 , }
{ fr0 fr31 fr0 fdiv,    => FC1F0024 , }
{ fr31 fr0 fr0 fdiv,    => FFE00024 , }

{ fr17 fr19 fr21 fdivs., => EE33A825 , }
{ fr0 fr0 fr0 fdivs.,    => EC000025 , }
{ fr0 fr0 fr31 fdivs,    => EC00F824 , }
{ fr0 fr31 fr0 fdivs,    => EC1F0024 , }
{ fr31 fr0 fr0 fdivs,    => EFE00024 , }

{ fr17 fr19 fr21 fr23 fmadd., => FE33BD7B , }
{ fr0 fr0 fr0 fr0 fmadd.,     => FC00003B , }
{ fr0 fr0 fr0 fr31 fmadd,     => FC00F83A , }
{ fr0 fr0 fr31 fr0 fmadd,     => FC0007FA , }
{ fr0 fr31 fr0 fr0 fmadd,     => FC1F003A , }
{ fr31 fr0 fr0 fr0 fmadd,     => FFE0003A , }

{ fr17 fr19 fr21 fr23 fmadds., => EE33BD7B , }
{ fr0 fr0 fr0 fr0 fmadds.,     => EC00003B , }
{ fr0 fr0 fr0 fr31 fmadds,     => EC00F83A , }
{ fr0 fr0 fr31 fr0 fmadds,     => EC0007FA , }
{ fr0 fr31 fr0 fr0 fmadds,     => EC1F003A , }
{ fr31 fr0 fr0 fr0 fmadds,     => EFE0003A , }

{ fr17 fr19 fmr., => FE209891 , }
{ fr0 fr0 fmr.,   => FC000091 , }
{ fr0 fr31 fmr,   => FC00F890 , }
{ fr31 fr0 fmr,   => FFE00090 , }

{ fr17 fr19 fr21 fr23 fmsub., => FE33BD79 , }
{ fr0 fr0 fr0 fr0 fmsub.,     => FC000039 , }
{ fr0 fr0 fr0 fr31 fmsub,     => FC00F838 , }
{ fr0 fr0 fr31 fr0 fmsub,     => FC0007F8 , }
{ fr0 fr31 fr0 fr0 fmsub,     => FC1F0038 , }
{ fr31 fr0 fr0 fr0 fmsub,     => FFE00038 , }

{ fr17 fr19 fr21 fr23 fmsubs., => EE33BD79 , }
{ fr0 fr0 fr0 fr0 fmsubs.,     => EC000039 , }
{ fr0 fr0 fr0 fr31 fmsubs,     => EC00F838 , }
{ fr0 fr0 fr31 fr0 fmsubs,     => EC0007F8 , }
{ fr0 fr31 fr0 fr0 fmsubs,     => EC1F0038 , }
{ fr31 fr0 fr0 fr0 fmsubs,     => EFE00038 , }

{ fr17 fr19 fr21 fmul., => FE330573 , }
{ fr0 fr0 fr0 fmul.,    => FC000033 , }
{ fr0 fr0 fr31 fmul,    => FC0007F2 , }
{ fr0 fr31 fr0 fmul,    => FC1F0032 , }
{ fr31 fr0 fr0 fmul,    => FFE00032 , }

{ fr17 fr19 fr21 fmuls., => EE330573 , }
{ fr0 fr0 fr0 fmuls.,    => EC000033 , }
{ fr0 fr0 fr31 fmuls,    => EC0007F2 , }
{ fr0 fr31 fr0 fmuls,    => EC1F0032 , }
{ fr31 fr0 fr0 fmuls,    => EFE00032 , }

{ fr17 fr19 fnabs., => FE209911 , }
{ fr0 fr0 fnabs.,   => FC000111 , }
{ fr0 fr31 fnabs,   => FC00F910 , }
{ fr31 fr0 fnabs,   => FFE00110 , }

{ fr17 fr19 fneg., => FE209851 , }
{ fr0 fr0 fneg.,   => FC000051 , }
{ fr0 fr31 fneg,   => FC00F850 , }
{ fr31 fr0 fneg,   => FFE00050 , }

{ fr17 fr19 fr21 fr23 fnmadd., => FE33BD7F , }
{ fr0 fr0 fr0 fr0 fnmadd.,     => FC00003F , }
{ fr0 fr0 fr0 fr31 fnmadd,     => FC00F83E , }
{ fr0 fr0 fr31 fr0 fnmadd,     => FC0007FE , }
{ fr0 fr31 fr0 fr0 fnmadd,     => FC1F003E , }
{ fr31 fr0 fr0 fr0 fnmadd,     => FFE0003E , }

{ fr17 fr19 fr21 fr23 fnmadds., => EE33BD7F , }
{ fr0 fr0 fr0 fr0 fnmadds.,     => EC00003F , }
{ fr0 fr0 fr0 fr31 fnmadds,     => EC00F83E , }
{ fr0 fr0 fr31 fr0 fnmadds,     => EC0007FE , }
{ fr0 fr31 fr0 fr0 fnmadds,     => EC1F003E , }
{ fr31 fr0 fr0 fr0 fnmadds,     => EFE0003E , }

{ fr17 fr19 fr21 fr23 fnmsub., => FE33BD7D , }
{ fr0 fr0 fr0 fr0 fnmsub.,     => FC00003D , }
{ fr0 fr0 fr0 fr31 fnmsub,     => FC00F83C , }
{ fr0 fr0 fr31 fr0 fnmsub,     => FC0007FC , }
{ fr0 fr31 fr0 fr0 fnmsub,     => FC1F003C , }
{ fr31 fr0 fr0 fr0 fnmsub,     => FFE0003C , }

{ fr17 fr19 fr21 fr23 fnmsubs., => EE33BD7D , }
{ fr0 fr0 fr0 fr0 fnmsubs.,     => EC00003D , }
{ fr0 fr0 fr0 fr31 fnmsubs,     => EC00F83C , }
{ fr0 fr0 fr31 fr0 fnmsubs,     => EC0007FC , }
{ fr0 fr31 fr0 fr0 fnmsubs,     => EC1F003C , }
{ fr31 fr0 fr0 fr0 fnmsubs,     => EFE0003C , }

{ fr17 fr19 fres., => EE209831 , }
{ fr0 fr0 fres.,   => EC000031 , }
{ fr0 fr31 fres,   => EC00F830 , }
{ fr31 fr0 fres,   => EFE00030 , }

{ fr17 fr19 frsp., => FE209819 , }
{ fr0 fr0 frsp.,   => FC000019 , }
{ fr0 fr31 frsp,   => FC00F818 , }
{ fr31 fr0 frsp,   => FFE00018 , }

{ fr17 fr19 frsqrte., => FE209835 , }
{ fr0 fr0 frsqrte.,   => FC000035 , }
{ fr0 fr31 frsqrte,   => FC00F834 , }
{ fr31 fr0 frsqrte,   => FFE00034 , }

{ fr17 fr19 fr21 fr23 fsel., => FE33BD6F , }
{ fr0 fr0 fr0 fr0 fsel.,     => FC00002F , }
{ fr0 fr0 fr0 fr31 fsel,     => FC00F82E , }
{ fr0 fr0 fr31 fr0 fsel,     => FC0007EE , }
{ fr0 fr31 fr0 fr0 fsel,     => FC1F002E , }
{ fr31 fr0 fr0 fr0 fsel,     => FFE0002E , }

{ fr17 fr19 fr21 fsub.,  => FE33A829 , }
{ fr0 fr0 fr0 fsub.,     => FC000029 , }
{ fr0 fr0 fr31 fsub,     => FC00F828 , }
{ fr0 fr31 fr0 fsub,     => FC1F0028 , }
{ fr31 fr0 fr0 fsub,     => FFE00028 , }

{ fr17 fr19 fr21 fsubs., => EE33A829 , }
{ fr0 fr0 fr0 fsubs.,    => EC000029 , }
{ fr0 fr0 fr31 fsubs,    => EC00F828 , }
{ fr0 fr31 fr0 fsubs,    => EC1F0028 , }
{ fr31 fr0 fr0 fsubs,    => EFE00028 , }

{ r17 r19 icbi, => 7C119FAC , }
{ 0 r31 icbi,   => 7C00FFAC , }
{ r31 r0 icbi,  => 7C1F07AC , }

{ isync, => 4C00012C , }

{ r17 r19 -55AB lbz,  => 8A33AA55 , }
{ r0 0 -1 lbz,        => 8800FFFF , }
{ r0 r31 0 lbz,       => 881F0000 , }
{ r31 0 0 lbz,        => 8BE00000 , }

{ r17 r19 -55AB lbzu,  => 8E33AA55 , }
{ r0 r1 -1 lbzu,       => 8C01FFFF , }
{ r0 r31 0 lbzu,       => 8C1F0000 , }
{ r31 r1 0 lbzu,       => 8FE10000 , }

{ r17 r19 r21 lbzux,   => 7E33A8EE , }
{ r0 r1 r31 lbzux,     => 7C01F8EE , }
{ r0 r31 r0 lbzux,     => 7C1F00EE , }
{ r31 r1 r0 lbzux,     => 7FE100EE , }

{ r17 r19 r21 lbzx, => 7E33A8AE , }
{ r0 0 r31 lbzx,    => 7C00F8AE , }
{ r0 r31 r0 lbzx,   => 7C1F00AE , }
{ r31 0 r0 lbzx,    => 7FE000AE , }

{ fr17 r19 -55AB lfd,  => CA33AA55 , }
{ fr0 0 -1 lfd,        => C800FFFF , }
{ fr0 r31 0 lfd,       => C81F0000 , }
{ fr31 0 0 lfd,        => CBE00000 , }

{ fr17 r19 -55AB lfdu,  => CE33AA55 , }
{ fr0 r1 -1 lfdu,       => CC01FFFF , }
{ fr0 r31 0 lfdu,       => CC1F0000 , }
{ fr31 r1 0 lfdu,       => CFE10000 , }

{ fr17 r19 r21 lfdux, => 7E33ACEE , }
{ fr0 r1 r31 lfdux,   => 7C01FCEE , }
{ fr0 r31 r0 lfdux,   => 7C1F04EE , }
{ fr31 r1 r0 lfdux,   => 7FE104EE , }

{ fr17 r19 r21 lfdx, => 7E33ACAE , }
{ fr0 0 r31 lfdx,    => 7C00FCAE , }
{ fr0 r31 r0 lfdx,   => 7C1F04AE , }
{ fr31 0 r0 lfdx,    => 7FE004AE , }

{ fr17 r19 -55AB lfs,  => C233AA55 , }
{ fr0 0 -1 lfs,        => C000FFFF , }
{ fr0 r31 0 lfs,       => C01F0000 , }
{ fr31 0 0 lfs,        => C3E00000 , }

{ fr17 r19 -55AB lfsu,  => C633AA55 , }
{ fr0 r1 -1 lfsu,       => C401FFFF , }
{ fr0 r31 0 lfsu,       => C41F0000 , }
{ fr31 r1 0 lfsu,       => C7E10000 , }

{ fr17 r19 r21 lfsux, => 7E33AC6E , }
{ fr0 r1 r31 lfsux,   => 7C01FC6E , }
{ fr0 r31 r0 lfsux,   => 7C1F046E , }
{ fr31 r1 r0 lfsux,   => 7FE1046E , }

{ fr17 r19 r21 lfsx, => 7E33AC2E , }
{ fr0 0 r31 lfsx,    => 7C00FC2E , }
{ fr0 r31 r0 lfsx,   => 7C1F042E , }
{ fr31 0 r0 lfsx,    => 7FE0042E , }

{ r17 r19 -55AB lha,  => AA33AA55 , }
{ r0 0 -1 lha,        => A800FFFF , }
{ r0 r31 0 lha,       => A81F0000 , }
{ r31 0 0 lha,        => ABE00000 , }

{ r17 r19 -55AB lhau,  => AE33AA55 , }
{ r0 r1 -1 lhau,       => AC01FFFF , }
{ r0 r31 0 lhau,       => AC1F0000 , }
{ r31 r1 0 lhau,       => AFE10000 , }

{ r17 r19 r21 lhaux, => 7E33AAEE , }
{ r0 r1 r31 lhaux,   => 7C01FAEE , }
{ r0 r31 r0 lhaux,   => 7C1F02EE , }
{ r31 r1 r0 lhaux,   => 7FE102EE , }

{ r17 r19 r21 lhax, => 7E33AAAE , }
{ r0 0 r31 lhax,    => 7C00FAAE , }
{ r0 r31 r0 lhax,   => 7C1F02AE , }
{ r31 0 r0 lhax,    => 7FE002AE , }

{ r17 r19 r21 lhbrx, => 7E33AE2C , }
{ r0 0 r31 lhbrx,    => 7C00FE2C , }
{ r0 r31 r0 lhbrx,   => 7C1F062C , }
{ r31 0 r0 lhbrx,    => 7FE0062C , }

{ r17 r19 -55AB lhz,  => A233AA55 , }
{ r0 0 -1 lhz,        => A000FFFF , }
{ r0 r31 0 lhz,       => A01F0000 , }
{ r31 0 0 lhz,        => A3E00000 , }

{ r17 r19 -55AB lhzu,  => A633AA55 , }
{ r0 r1 -1 lhzu,       => A401FFFF , }
{ r0 r31 0 lhzu,       => A41F0000 , }
{ r31 r1 0 lhzu,       => A7E10000 , }

{ r17 r19 r21 lhzux, => 7E33AA6E , }
{ r0 r1 r31 lhzux,   => 7C01FA6E , }
{ r0 r31 r0 lhzux,   => 7C1F026E , }
{ r31 r1 r0 lhzux,   => 7FE1026E , }

{ r17 r19 r21 lhzx, => 7E33AA2E , }
{ r0 0 r31 lhzx,    => 7C00FA2E , }
{ r0 r31 r0 lhzx,   => 7C1F022E , }
{ r31 0 r0 lhzx,    => 7FE0022E , }

{ r19 r17 -55AB lmw,  => BA71AA55 , }
{ r1 0 -1 lmw,        => B820FFFF , }
{ r2 0 -1 lmw,        => B840FFFF , }
{ r16 r15 0 lmw,      => BA0F0000 , }
{ r17 r16 0 lmw,      => BA300000 , }
{ r31 0 0 lmw,        => BBE00000 , }

{ r17 r19 15 lswi, => 7E33ACAA , }
{ r0 0 1F lswi,    => 7C00FCAA , }
{ r0 r31 0 lswi,   => 7C1F04AA , }
{ r31 0 0 lswi,    => 7FE004AA , }

{ r17 r19 r21 lswx, => 7E33AC2A , }
{ r0 0 r31 lswx,    => 7C00FC2A , }
{ r0 r31 r0 lswx,   => 7C1F042A , }
{ r31 0 r0 lswx,    => 7FE0042A , }

{ r17 r19 r21 lwarx, => 7E33A828 , }
{ r0 0 r31 lwarx,    => 7C00F828 , }
{ r0 r31 r0 lwarx,   => 7C1F0028 , }
{ r31 0 r0 lwarx,    => 7FE00028 , }

{ r17 r19 r21 lwbrx, => 7E33AC2C , }
{ r0 0 r31 lwbrx,    => 7C00FC2C , }
{ r0 r31 r0 lwbrx,   => 7C1F042C , }
{ r31 0 r0 lwbrx,    => 7FE0042C , }

{ r17 r19 -55AB lwz,  => 8233AA55 , }
{ r0 0 -1 lwz,        => 8000FFFF , }
{ r0 r31 0 lwz,       => 801F0000 , }
{ r31 0 0 lwz,        => 83E00000 , }

{ r17 r19 -55AB lwzu,  => 8633AA55 , }
{ r0 r1 -1 lwzu,       => 8401FFFF , }
{ r0 r31 0 lwzu,       => 841F0000 , }
{ r31 r1 0 lwzu,       => 87E10000 , }

{ r17 r19 r21 lwzux, => 7E33A86E , }
{ r0 r1 r31 lwzux,   => 7C01F86E , }
{ r0 r31 r0 lwzux,   => 7C1F006E , }
{ r31 r1 r0 lwzux,   => 7FE1006E , }

{ r17 r19 r21 lwzx, => 7E33A82E , }
{ r0 0 r31 lwzx,    => 7C00F82E , }
{ r0 r31 r0 lwzx,   => 7C1F002E , }
{ r31 0 r0 lwzx,    => 7FE0002E , }

{ CR5 CR5 mcrf, => 4E940000 , }
{ CR0 CR7 mcrf, => 4C1C0000 , }
{ CR7 CR0 mcrf, => 4F800000 , }

{ CR5 CR5 mcrfs, => FE940080 , }
{ CR0 CR7 mcrfs, => FC1C0080 , }
{ CR7 CR0 mcrfs, => FF800080 , }

{ CR7 mcrxr, => 7F800400 , }

{ r31 mfcr, => 7FE00026 , }

{ fr17 mffs., => FE20048F , }
{ fr0 mffs.,  => FC00048F , }
{ fr31 mffs,  => FFE0048E , }

{ r31 mfmsr, => 7FE000A6 , }

{ r17 255 mfspr,  => 7E3592A6 , }
{ r0 3FF mfspr,   => 7C1FFAA6 , }
{ r31 0 mfspr,    => 7FE002A6 , }

{ r17 9 mfsr, => 7E2904A6 , }
{ r0 F mfsr,  => 7C0F04A6 , }
{ r31 0 mfsr, => 7FE004A6 , }

{ r17 r19 mfsrin, => 7E209D26 , }
{ r0 r31 mfsrin,  => 7C00FD26 , }
{ r31 r0 mfsrin,  => 7FE00526 , }

{ r17 255 mftb,  => 7E3592E6 , }
{ r0 3FF mftb,   => 7C1FFAE6 , }
{ r31 0 mftb,    => 7FE002E6 , }

{ A5 r17 mtcrf,  => 7E2A5120 , }
{ 0 r31 mtcrf,   => 7FE00120 , }
{ FF r0 mtcrf,   => 7C0FF120 , }

{ 11 mtfsb0., => FE20008D , }
{ 0 mtfsb0.,  => FC00008D , }
{ 1F mtfsb0,  => FFE0008C , }

{ 11 mtfsb1., => FE20004D , }
{ 0 mtfsb1.,  => FC00004D , }
{ 1F mtfsb1,  => FFE0004C , }

{ A5 fr17 mtfsf.,  => FD4A8D8F , }
{ 0 fr0 mtfsf.,    => FC00058F , }
{ 0 fr31 mtfsf,    => FC00FD8E , }
{ FF fr31 mtfsf,   => FDFEFD8E , }

{ CR5 9 mtfsfi., => FE80910D , }
{ CR0 0 mtfsfi., => FC00010D , }
{ CR0 F mtfsfi,  => FC00F10C , }
{ CR7 0 mtfsfi,  => FF80010C , }

{ r31 mtmsr, => 7FE00124 , }

{ 255 r17 mtspr,  => 7E3593A6 , }
{ 0 r31 mtspr,    => 7FE003A6 , }
{ 3FF r0 mtspr,   => 7C1FFBA6 , }

{ 9 r17 mtsr, => 7E2901A4 , }
{ 0 r31 mtsr, => 7FE001A4 , }
{ F r0 mtsr,  => 7C0F01A4 , }

{ r17 r19 mtsrin, => 7E2099E4 , }
{ r0 r31 mtsrin,  => 7C00F9E4 , }
{ r31 r0 mtsrin,  => 7FE001E4 , }

{ r17 r19 r21 mulhw., => 7E33A897 , }
{ r0 r0 r0 mulhw.,    => 7C000097 , }
{ r0 r0 r31 mulhw,    => 7C00F896 , }
{ r0 r31 r0 mulhw,    => 7C1F0096 , }
{ r31 r0 r0 mulhw,    => 7FE00096 , }

{ r17 r19 r21 mulhwu., => 7E33A817 , }
{ r0 r0 r0 mulhwu.,    => 7C000017 , }
{ r0 r0 r31 mulhwu,    => 7C00F816 , }
{ r0 r31 r0 mulhwu,    => 7C1F0016 , }
{ r31 r0 r0 mulhwu,    => 7FE00016 , }

{ r17 r19 -55AB mulli,  => 1E33AA55 , }
{ r0 r0 -1 mulli,       => 1C00FFFF , }
{ r0 r31 0 mulli,       => 1C1F0000 , }
{ r31 r0 0 mulli,       => 1FE00000 , }

{ r17 r19 r21 mullwo., => 7E33ADD7 , }
{ r0 r0 r0 mullw.,     => 7C0001D7 , }
{ r0 r0 r0 mullwo,     => 7C0005D6 , }
{ r0 r0 r31 mullw,     => 7C00F9D6 , }
{ r0 r31 r0 mullw,     => 7C1F01D6 , }
{ r31 r0 r0 mullw,     => 7FE001D6 , }

{ r17 r19 r21 nand., => 7E71ABB9 , }
{ r0 r0 r0 nand.,    => 7C0003B9 , }
{ r0 r0 r31 nand,    => 7C00FBB8 , }
{ r0 r31 r0 nand,    => 7FE003B8 , }
{ r31 r0 r0 nand,    => 7C1F03B8 , }

{ r17 r19 nego., => 7E3304D1 , }
{ r0 r0 neg.,    => 7C0000D1 , }
{ r0 r0 nego,    => 7C0004D0 , }
{ r0 r31 neg,    => 7C1F00D0 , }
{ r31 r0 neg,    => 7FE000D0 , }

{ r17 r19 r21 nor., => 7E71A8F9 , }
{ r0 r0 r0 nor.,    => 7C0000F9 , }
{ r0 r0 r31 nor,    => 7C00F8F8 , }
{ r0 r31 r0 nor,    => 7FE000F8 , }
{ r31 r0 r0 nor,    => 7C1F00F8 , }

{ r17 r19 r21 or., => 7E71AB79 , }
{ r0 r0 r0 or.,    => 7C000379 , }
{ r0 r0 r31 or,    => 7C00FB78 , }
{ r0 r31 r0 or,    => 7FE00378 , }
{ r31 r0 r0 or,    => 7C1F0378 , }

{ r17 r19 r21 orc., => 7E71AB39 , }
{ r0 r0 r0 orc.,    => 7C000339 , }
{ r0 r0 r31 orc,    => 7C00FB38 , }
{ r0 r31 r0 orc,    => 7FE00338 , }
{ r31 r0 r0 orc,    => 7C1F0338 , }

{ r17 r19 AA55 ori,  => 6271AA55 , }
{ r0 r0 FFFF ori,    => 6000FFFF , }
{ r0 r31 0 ori,      => 63E00000 , }

{ r17 r19 AA55 oris,  => 6671AA55 , }
{ r0 r0 FFFF oris,    => 6400FFFF , }
{ r0 r31 0 oris,      => 67E00000 , }
{ r31 r0 0 oris,      => 641F0000 , }
{ r31 r0 0 oris,      => 641F0000 , }

{ rfi, => 4C000064 , }

{ r17 r19 15 17 19 rlwimi., => 5271ADF3 , }
{ r0 r0 0 0 0 rlwimi.,      => 50000001 , }
{ r0 r0 0 0 1F rlwimi,      => 5000003E , }
{ r0 r0 0 1F 0 rlwimi,      => 500007C0 , }
{ r0 r0 1F 0 0 rlwimi,      => 5000F800 , }
{ r0 r31 0 0 0 rlwimi,      => 53E00000 , }
{ r31 r0 0 0 0 rlwimi,      => 501F0000 , }

{ r17 r19 15 17 19 rlwinm., => 5671ADF3 , }
{ r0 r0 0 0 0 rlwinm.,      => 54000001 , }
{ r0 r0 0 0 1F rlwinm,      => 5400003E , }
{ r0 r0 0 1F 0 rlwinm,      => 540007C0 , }
{ r0 r0 1F 0 0 rlwinm,      => 5400F800 , }
{ r0 r31 0 0 0 rlwinm,      => 57E00000 , }
{ r31 r0 0 0 0 rlwinm,      => 541F0000 , }

{ r17 r19 r21 17 19 rlwnm., => 5E71ADF3 , }
{ r0 r0 r0 0 0 rlwnm.,      => 5C000001 , }
{ r0 r0 r0 0 1F rlwnm,      => 5C00003E , }
{ r0 r0 r0 1F 0 rlwnm,      => 5C0007C0 , }
{ r0 r0 r31 0 0 rlwnm,      => 5C00F800 , }
{ r0 r31 r0 0 0 rlwnm,      => 5FE00000 , }
{ r31 r0 r0 0 0 rlwnm,      => 5C1F0000 , }

{ sc, => 44000002 , }

{ r17 r19 r21 slw., => 7E71A831 , }
{ r0 r0 r0 slw.,    => 7C000031 , }
{ r0 r0 r31 slw,    => 7C00F830 , }
{ r0 r31 r0 slw,    => 7FE00030 , }
{ r31 r0 r0 slw,    => 7C1F0030 , }

{ r17 r19 r21 sraw., => 7E71AE31 , }
{ r0 r0 r0 sraw.,    => 7C000631 , }
{ r0 r0 r31 sraw,    => 7C00FE30 , }
{ r0 r31 r0 sraw,    => 7FE00630 , }
{ r31 r0 r0 sraw,    => 7C1F0630 , }

{ r17 r19 15 srawi., => 7E71AE71 , }
{ r0 r0 0 srawi.,    => 7C000671 , }
{ r0 r0 1F srawi,    => 7C00FE70 , }
{ r0 r31 0 srawi,    => 7FE00670 , }
{ r31 r0 0 srawi,    => 7C1F0670 , }

{ r17 r19 r21 srw., => 7E71AC31 , }
{ r0 r0 r0 srw.,    => 7C000431 , }
{ r0 r0 r31 srw,    => 7C00FC30 , }
{ r0 r31 r0 srw,    => 7FE00430 , }
{ r31 r0 r0 srw,    => 7C1F0430 , }

{ r17 r19 -55AB stb,  => 9A33AA55 , }
{ r0 0 -1 stb,        => 9800FFFF , }
{ r0 r31 0 stb,       => 981F0000 , }
{ r31 0 0 stb,        => 9BE00000 , }

{ r17 r19 -55AB stbu,  => 9E33AA55 , }
{ r0 r1 -1 stbu,       => 9C01FFFF , }
{ r0 r31 0 stbu,       => 9C1F0000 , }
{ r31 r1 0 stbu,       => 9FE10000 , }

{ r17 r19 r21 stbux, => 7E33A9EE , }
{ r0 r1 r31 stbux,   => 7C01F9EE , }
{ r0 r31 r0 stbux,   => 7C1F01EE , }
{ r31 r1 r0 stbux,   => 7FE101EE , }

{ r17 r19 r21 stbx, => 7E33A9AE , }
{ r0 0 r31 stbx,    => 7C00F9AE , }
{ r0 r31 r0 stbx,   => 7C1F01AE , }
{ r31 0 r0 stbx,    => 7FE001AE , }

{ fr17 r19 -55AB stfd,  => DA33AA55 , }
{ fr0 0 -1 stfd,        => D800FFFF , }
{ fr0 r31 0 stfd,       => D81F0000 , }
{ fr31 0 0 stfd,        => DBE00000 , }

{ fr17 r19 -55AB stfdu,  => DE33AA55 , }
{ fr0 r1 -1 stfdu,       => DC01FFFF , }
{ fr0 r31 0 stfdu,       => DC1F0000 , }
{ fr31 r1 0 stfdu,       => DFE10000 , }

{ fr17 r19 r21 stfdux, => 7E33ADEE , }
{ fr0 r1 r31 stfdux,   => 7C01FDEE , }
{ fr0 r31 r0 stfdux,   => 7C1F05EE , }
{ fr31 r1 r0 stfdux,   => 7FE105EE , }

{ fr17 r19 r21 stfdx, => 7E33ADAE , }
{ fr0 0 r31 stfdx,    => 7C00FDAE , }
{ fr0 r31 r0 stfdx,   => 7C1F05AE , }
{ fr31 0 r0 stfdx,    => 7FE005AE , }

{ fr17 r19 r21 stfiwx, => 7E33AFAE , }
{ fr0 0 r31 stfiwx,    => 7C00FFAE , }
{ fr0 r31 r0 stfiwx,   => 7C1F07AE , }
{ fr31 0 r0 stfiwx,    => 7FE007AE , }

{ fr17 r19 -55AB stfs,  => D233AA55 , }
{ fr0 0 -1 stfs,        => D000FFFF , }
{ fr0 r31 0 stfs,       => D01F0000 , }
{ fr31 0 0 stfs,        => D3E00000 , }

{ fr17 r19 -55AB stfsu,  => D633AA55 , }
{ fr0 r1 -1 stfsu,       => D401FFFF , }
{ fr0 r31 0 stfsu,       => D41F0000 , }
{ fr31 r1 0 stfsu,       => D7E10000 , }

{ fr17 r19 r21 stfsux, => 7E33AD6E , }
{ fr0 r1 r31 stfsux,   => 7C01FD6E , }
{ fr0 r31 r0 stfsux,   => 7C1F056E , }
{ fr31 r1 r0 stfsux,   => 7FE1056E , }

{ fr17 r19 r21 stfsx, => 7E33AD2E , }
{ fr0 0 r31 stfsx,    => 7C00FD2E , }
{ fr0 r31 r0 stfsx,   => 7C1F052E , }
{ fr31 0 r0 stfsx,    => 7FE0052E , }

{ r17 r19 -55AB sth,  => B233AA55 , }
{ r0 0 -1 sth,        => B000FFFF , }
{ r0 r31 0 sth,       => B01F0000 , }
{ r31 0 0 sth,        => B3E00000 , }

{ r17 r19 r21 sthbrx, => 7E33AF2C , }
{ r0 0 r31 sthbrx,    => 7C00FF2C , }
{ r0 r31 r0 sthbrx,   => 7C1F072C , }
{ r31 0 r0 sthbrx,    => 7FE0072C , }

{ r17 r19 -55AB sthu,  => B633AA55 , }
{ r0 r1 -1 sthu,       => B401FFFF , }
{ r0 r31 0 sthu,       => B41F0000 , }
{ r31 r1 0 sthu,       => B7E10000 , }

{ r17 r19 r21 sthux, => 7E33AB6E , }
{ r0 r1 r31 sthux,   => 7C01FB6E , }
{ r0 r31 r0 sthux,   => 7C1F036E , }
{ r31 r1 r0 sthux,   => 7FE1036E , }

{ r17 r19 r21 sthx, => 7E33AB2E , }
{ r0 0 r31 sthx,    => 7C00FB2E , }
{ r0 r31 r0 sthx,   => 7C1F032E , }
{ r31 0 r0 sthx,    => 7FE0032E , }

{ r17 r19 -55AB stmw,  => BE33AA55 , }
{ r0 0 -1 stmw,        => BC00FFFF , }
{ r0 r31 0 stmw,       => BC1F0000 , }
{ r31 0 0 stmw,        => BFE00000 , }

{ r17 r19 15 stswi, => 7E33ADAA , }
{ r0 0 1F stswi,    => 7C00FDAA , }
{ r0 r31 0 stswi,   => 7C1F05AA , }
{ r31 0 0 stswi,    => 7FE005AA , }

{ r17 r19 r21 stswx, => 7E33AD2A , }
{ r0 0 r31 stswx,    => 7C00FD2A , }
{ r0 r31 r0 stswx,   => 7C1F052A , }
{ r31 0 r0 stswx,    => 7FE0052A , }

{ r17 r19 -55AB stw,  => 9233AA55 , }
{ r0 0 -1 stw,        => 9000FFFF , }
{ r0 r31 0 stw,       => 901F0000 , }
{ r31 0 0 stw,        => 93E00000 , }

{ r17 r19 r21 stwbrx, => 7E33AD2C , }
{ r0 0 r31 stwbrx,    => 7C00FD2C , }
{ r0 r31 r0 stwbrx,   => 7C1F052C , }
{ r31 0 r0 stwbrx,    => 7FE0052C , }

{ r17 r19 r21 stwcx., => 7E33A92D , }
{ r0 0 r31 stwcx.,    => 7C00F92D , }
{ r0 r31 r0 stwcx.,   => 7C1F012D , }
{ r31 0 r0 stwcx.,    => 7FE0012D , }

{ r17 r19 -55AB stwu,  => 9633AA55 , }
{ r0 r1 -1 stwu,       => 9401FFFF , }
{ r0 r31 0 stwu,       => 941F0000 , }
{ r31 r1 0 stwu,       => 97E10000 , }

{ r17 r19 r21 stwux, => 7E33A96E , }
{ r0 r1 r31 stwux,   => 7C01F96E , }
{ r0 r31 r0 stwux,   => 7C1F016E , }
{ r31 r1 r0 stwux,   => 7FE1016E , }

{ r17 r19 r21 stwx, => 7E33A92E , }
{ r0 0 r31 stwx,    => 7C00F92E , }
{ r0 r31 r0 stwx,   => 7C1F012E , }
{ r31 0 r0 stwx,    => 7FE0012E , }

{ r17 r19 r21 subfo., => 7E33AC51 , }
{ r0 r0 r0 subf.,     => 7C000051 , }
{ r0 r0 r0 subfo,     => 7C000450 , }
{ r0 r0 r31 subf,     => 7C00F850 , }
{ r0 r31 r0 subf,     => 7C1F0050 , }
{ r31 r0 r0 subf,     => 7FE00050 , }

{ r17 r19 r21 subfco., => 7E33AC11 , }
{ r0 r0 r0 subfc.,     => 7C000011 , }
{ r0 r0 r0 subfco,     => 7C000410 , }
{ r0 r0 r31 subfc,     => 7C00F810 , }
{ r0 r31 r0 subfc,     => 7C1F0010 , }
{ r31 r0 r0 subfc,     => 7FE00010 , }

{ r17 r19 r21 subfeo., => 7E33AD11 , }
{ r0 r0 r0 subfe.,     => 7C000111 , }
{ r0 r0 r0 subfeo,     => 7C000510 , }
{ r0 r0 r31 subfe,     => 7C00F910 , }
{ r0 r31 r0 subfe,     => 7C1F0110 , }
{ r31 r0 r0 subfe,     => 7FE00110 , }

{ r17 r19 -55AB subfic,  => 2233AA55 , }
{ r0 r0 -1 subfic,       => 2000FFFF , }
{ r0 r31 0 subfic,       => 201F0000 , }
{ r31 r0 0 subfic,       => 23E00000 , }

{ r17 r19 subfmeo., => 7E3305D1 , }
{ r0 r0 subfme.,    => 7C0001D1 , }
{ r0 r0 subfmeo,    => 7C0005D0 , }
{ r0 r31 subfme,    => 7C1F01D0 , }
{ r31 r0 subfme,    => 7FE001D0 , }

{ r17 r19 subfzeo., => 7E330591 , }
{ r0 r0 subfze.,    => 7C000191 , }
{ r0 r0 subfzeo,    => 7C000590 , }
{ r0 r31 subfze,    => 7C1F0190 , }
{ r31 r0 subfze,    => 7FE00190 , }

{ sync, => 7C0004AC , }

{ r31 tlbie, => 7C00FA64 , }

{ tlbsync, => 7C00046C , }

{ 11 r19 r21 tw, => 7E33A808 , }
{ 0 r0 r31 tw,   => 7C00F808 , }
{ 0 r31 r0 tw,   => 7C1F0008 , }
{ 1F r0 r0 tw,   => 7FE00008 , }

{ 11 r19 -55AB twi,  => 0E33AA55 , }
{ 0 r0 -1 twi,       => 0C00FFFF , }
{ 0 r31 0 twi,       => 0C1F0000 , }
{ 1F r0 0 twi,       => 0FE00000 , }

{ r17 r19 r21 xor., => 7E71AA79 , }
{ r0 r0 r0 xor.,    => 7C000279 , }
{ r0 r0 r31 xor,    => 7C00FA78 , }
{ r0 r31 r0 xor,    => 7FE00278 , }
{ r31 r0 r0 xor,    => 7C1F0278 , }

{ r17 r19 AA55 xori,  => 6A71AA55 , }
{ r0 r0 FFFF xori,    => 6800FFFF , }
{ r0 r31 0 xori,      => 6BE00000 , }
{ r31 r0 0 xori,      => 681F0000 , }

{ r17 r19 AA55 xoris,  => 6E71AA55 , }
{ r0 r0 FFFF xoris,    => 6C00FFFF , }
{ r0 r31 0 xoris,      => 6FE00000 , }
{ r31 r0 0 xoris,      => 6C1F0000 , }


{ 0 arith-split        => 0 0 }
{ 7FFF arith-split     => 0 7FFF }
{ -8000 arith-split    => 0 -8000 }
{ 8000 arith-split     => 1 -8000 }
{ 10000 arith-split    => 1 0 }
{ 12345678 arith-split => 1234 5678 }

{ r3 0 lwi,        => r3 0 li, }
{ r3 7FFF lwi,     => r3 7FFF li, }
{ r3 -8000 lwi,    => r3 -8000 li, }
{ r3 8000 lwi,     => r3 -8000 li,  r3 r3 1 addis, }
{ r3 10000 lwi,    => r3 1 lis, }
{ r3 12345678 lwi, => r3 5678 li,  r3 r3 1234 addis, }

decimal
previous
