\ Test the Tester
\
\ Copyright (C) 2007 Joshua I. Grams
\ May be used, modified, and redistributed without limitation.

require modules.fs

: cr ;
: .s ;
: dump 2drop ;
: ." [char] " parse 2drop ; immediate

include tester.fs

expose-module tester

: check ( flag -- )  0= if abort then ;


\ check save-stack

depth 0= check
stack 16 cells erase
17 27 31 save-stack depth 0= check
stack-depth @ 3 = check
stack @ 31 = check
stack cell+ @ 27 = check
stack 2 cells + @ 17 = check
stack 3 cells + @ 0= check
depth 0= check


\ check load-stack

stack-depth @ load-stack
depth 3 = check
31 = check  27 = check  17 = check
depth 0= check

2 load-stack
31 = check  27 = check
depth 0= check


\ check empty-stack

1 2 3 empty-stack  depth 0= check
102324 1021009 2 0 333 999 empty-stack  depth 0= check
empty-stack
depth 0= check


\ try .stacks

.stacks cr
depth 0= check


\ check check-stack

17 27 31 check-stack  depth 0= check
17 save-stack 17 check-stack  depth 0= check
16 27 31 ' check-stack catch -1 = check  empty-stack cr
0 ' check-stack catch -1 = check  empty-stack cr
0 save-stack 17 27 31 ' check-stack catch -1 = check  empty-stack cr



\ check heap checking words

here data !
1 , 2 , here answers !
data-length 2 cells = check
answer-length 0= check

1 ,  answer-length 1 cells = check
data-length 2 cells = check

' check-heap catch -1 = check

here data !
1 , 2 , here answers !
1 , 2 , answer-length 2 cells = check
data-length 2 cells = check
' check-heap catch 0= check


\ check public words

{ => }
{ 0 => 0 }
{ 1 2 3 => 1 2 3 }

{ 1 , => 1 , }
{ 3 , => }
{ 3 , 2 , 17 => 17 3 , 2 , }
